path: /build/build/librevenge-dev-libs-0.0.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -test" emerge dev-libs/librevenge -pv -t && \
    USE="-doc -test" emerge -j ${JOBS} --nodeps dev-libs/librevenge
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/librevenge && luet-portage --dir /pkgdir/librevenge
    dev-libs/librevenge && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:955ddb6622a3ccf5768f82e0dbabf6d1386cdcfce9b70f926ccb5adc85b61d90
  package:
    name: librevenge
    version: 0.0.4
    category: dev-libs
    use_flags:
    - -doc
    - -test
    requires:
    - name: macaroni-funtoo-race9
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A helper library for REVerse ENGineered formats filters
    uri:
    - https://sf.net/p/libwpd/librevenge
    license: '|| ( MPL-2.0 LGPL-2.1 )'
    buildtimestamp: 2023-08-27 21:18:49.604785897 +0000 UTC m=+98.013763246
    labels:
      DEPEND: sys-libs/zlib[-mgorny(-)] dev-libs/boost doc? ( app-doc/doxygen ) test?
        ( dev-util/cppunit[-mgorny(-)] )
      IUSE: doc test abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
        abi_s390_32 abi_s390_64
      RDEPEND: sys-libs/zlib[-mgorny(-)]
      emerge.packages: dev-libs/librevenge
      kit: dev-kit
      original.package.name: dev-libs/librevenge
      original.package.slot: "0"
      original.package.version: 0.0.4-r1
    treedir: /build/packages
  package_dir: /pkgdir/librevenge
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 09567b4153c1feb263781552ed7b622a3ee5321a1ff1a8aa8907da302205c273
compressiontype: zstd
files:
- usr/include/librevenge-0.0/librevenge/RVNGBinaryData.h
- usr/include/librevenge-0.0/librevenge/RVNGDrawingInterface.h
- usr/include/librevenge-0.0/librevenge/RVNGPresentationInterface.h
- usr/include/librevenge-0.0/librevenge/RVNGProperty.h
- usr/include/librevenge-0.0/librevenge/RVNGPropertyList.h
- usr/include/librevenge-0.0/librevenge/RVNGPropertyListVector.h
- usr/include/librevenge-0.0/librevenge/RVNGSVGDrawingGenerator.h
- usr/include/librevenge-0.0/librevenge/RVNGSpreadsheetInterface.h
- usr/include/librevenge-0.0/librevenge/RVNGString.h
- usr/include/librevenge-0.0/librevenge/RVNGStringVector.h
- usr/include/librevenge-0.0/librevenge/RVNGTextInterface.h
- usr/include/librevenge-0.0/librevenge/librevenge-api.h
- usr/include/librevenge-0.0/librevenge/librevenge.h
- usr/include/librevenge-0.0/librevenge-generators/RVNGCSVSpreadsheetGenerator.h
- usr/include/librevenge-0.0/librevenge-generators/RVNGHTMLTextGenerator.h
- usr/include/librevenge-0.0/librevenge-generators/RVNGRawDrawingGenerator.h
- usr/include/librevenge-0.0/librevenge-generators/RVNGRawPresentationGenerator.h
- usr/include/librevenge-0.0/librevenge-generators/RVNGRawSpreadsheetGenerator.h
- usr/include/librevenge-0.0/librevenge-generators/RVNGRawTextGenerator.h
- usr/include/librevenge-0.0/librevenge-generators/RVNGSVGPresentationGenerator.h
- usr/include/librevenge-0.0/librevenge-generators/RVNGTextDrawingGenerator.h
- usr/include/librevenge-0.0/librevenge-generators/RVNGTextPresentationGenerator.h
- usr/include/librevenge-0.0/librevenge-generators/RVNGTextSpreadsheetGenerator.h
- usr/include/librevenge-0.0/librevenge-generators/RVNGTextTextGenerator.h
- usr/include/librevenge-0.0/librevenge-generators/librevenge-generators-api.h
- usr/include/librevenge-0.0/librevenge-generators/librevenge-generators.h
- usr/include/librevenge-0.0/librevenge-stream/RVNGDirectoryStream.h
- usr/include/librevenge-0.0/librevenge-stream/RVNGStream.h
- usr/include/librevenge-0.0/librevenge-stream/RVNGStreamImplementation.h
- usr/include/librevenge-0.0/librevenge-stream/librevenge-stream-api.h
- usr/include/librevenge-0.0/librevenge-stream/librevenge-stream.h
- usr/lib64/librevenge-0.0.so
- usr/lib64/librevenge-0.0.so.0
- usr/lib64/librevenge-0.0.so.0.0.4
- usr/lib64/librevenge-generators-0.0.so
- usr/lib64/librevenge-generators-0.0.so.0
- usr/lib64/librevenge-generators-0.0.so.0.0.4
- usr/lib64/librevenge-stream-0.0.so
- usr/lib64/librevenge-stream-0.0.so.0
- usr/lib64/librevenge-stream-0.0.so.0.0.4
- usr/lib64/pkgconfig/librevenge-0.0.pc
- usr/lib64/pkgconfig/librevenge-generators-0.0.pc
- usr/lib64/pkgconfig/librevenge-stream-0.0.pc
- usr/share/doc/librevenge-0.0.4-r1/AUTHORS.bz2
- usr/share/doc/librevenge-0.0.4-r1/ChangeLog.bz2
- usr/share/doc/librevenge-0.0.4-r1/NEWS.bz2
- usr/share/doc/librevenge-0.0.4-r1/README.bz2
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/BUILD_TIME
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/CATEGORY
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/CBUILD
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/CFLAGS
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/CHOST
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/CONTENTS
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/COUNTER
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/CXXFLAGS
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/DEFINED_PHASES
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/DEPEND
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/DESCRIPTION
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/EAPI
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/FEATURES
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/HOMEPAGE
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/INHERITED
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/IUSE
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/KEYWORDS
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/LDFLAGS
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/LICENSE
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/NEEDED
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/PF
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/PROVIDES
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/RDEPEND
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/REQUIRES
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/SIZE
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/SLOT
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/USE
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/environment.bz2
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/librevenge-0.0.4-r1.ebuild
- var/db/pkg/dev-libs/librevenge-0.0.4-r1/repository
package_cacheimage: ""
runtime:
  name: librevenge
  version: 0.0.4
  category: dev-libs
  use_flags:
  - -doc
  - -test
  requires:
  - name: zlib
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A helper library for REVerse ENGineered formats filters
  uri:
  - https://sf.net/p/libwpd/librevenge
  license: '|| ( MPL-2.0 LGPL-2.1 )'
  labels:
    DEPEND: sys-libs/zlib[-mgorny(-)] dev-libs/boost doc? ( app-doc/doxygen ) test?
      ( dev-util/cppunit[-mgorny(-)] )
    IUSE: doc test abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
      abi_s390_32 abi_s390_64
    RDEPEND: sys-libs/zlib[-mgorny(-)]
    emerge.packages: dev-libs/librevenge
    kit: dev-kit
    original.package.name: dev-libs/librevenge
    original.package.slot: "0"
    original.package.version: 0.0.4-r1
